Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155305 - gdm early login gets stuck
Summary: gdm early login gets stuck
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 8
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-18 21:54 UTC by Bill Nottingham
Modified: 2014-03-17 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-26 17:04:11 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-04-18 21:54:00 UTC
Description of problem:

It's stuck, for lack of a better word.

Version-Release number of selected component (if applicable):

gdm-2.6.0.8-4

How reproducible:

Happened both times so far

Steps to Reproduce:
1. Enter username
2. Enter password
3. <thunk>
  
Actual results:

Hangs

Expected results:

Logs in

Additional info:

Using kerberos/hesiod for auth & user info.

Comment 1 Bill Nottingham 2005-04-18 22:02:02 UTC
OK, after about 5-10 minutes, it popped up the 'unable to find home directory,
use '/'' dialog.

It looks like it was trying to access it before autofs made it available?

Comment 2 Ray Strode [halfline] 2005-04-19 14:28:17 UTC
is the priority of gdm-allow-login lower than the priority of all your network
services?

Comment 3 Bill Nottingham 2005-04-19 15:03:58 UTC
No, it's higher (99).

Comment 4 Ray Strode [halfline] 2005-04-19 15:36:41 UTC
Currently I believe we inform pam of the username and block until allow-login
before telling pam the password.   It could be that some pam modules block even
when setting the username or something.  If so, then we'll probably have to
change  the interface to be insensitive until the user is allowed to login. 
I'll look into it.

Comment 5 Bug Zapper 2008-11-26 06:50:04 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bill Nottingham 2008-11-26 17:04:11 UTC
This code is dead.


Note You need to log in before you can comment on or make changes to this bug.